# Object Oriented Programming Quicksheet Assessment

Justin, 

This is a thoughtful reflection on OOP. I agree that in OOP, data is often internal to 
objects, and that OOP manages complexity by modeling parts of the problem with objects.
However, I don't think a directory tree is an ideal metaphor for OOP, because a tree
is hierarchical (each item knows about its parent and its children) whereas in OOP you
can have an incredibly complex web of interactions supported by messages passed between 
objects. 

It's interesting to consider how your students might practice OOP-style problem solving
even if they're not programming. I think designing systems with wireframes feels promising
here, especially if you then guide them to ask questions like "which part of the system
is responsible for ...?" Acutallly, collaboration amongst many students creates a 
wonderful context for thinking in OOP style (and the structure of corporations and 
OOP sort of co-developed inspired by each other). Have you seen my TCP-IP simulation?
It's so fun, and in this vein :) https://github.com/cproctor/tcp-ip-simulation

-Chris

